# Interface ModalDialogComponentOptions

interface ModalDialogComponentOptions {
className?: string;
content?: ModalContent;
description?: string;
fillAlways?: boolean;
label?: string;
name?: string;
pauseOnOpen?: boolean;
temporary?: boolean;
uncloseable?: boolean;
}

#### Hierarchy (view full)

- ComponentOptions
  - ModalDialogComponentOptions
    - TextTrackSettingsComponentOptions

#####
Index

### Properties

className?
content?
description?
fillAlways?
label?
name?
pauseOnOpen?
temporary?
uncloseable?

## Properties

### `Optional` className

className?: string

Inherited from ComponentOptions.className

### `Optional` content

content?: ModalContent

### `Optional` description

description?: string

### `Optional` fillAlways

fillAlways?: boolean

### `Optional` label

label?: string

### `Optional` name

name?: string

Inherited from ComponentOptions.name

### `Optional` pauseOnOpen

pauseOnOpen?: boolean

### `Optional` temporary

temporary?: boolean

### `Optional` uncloseable

uncloseable?: boolean